View Issue Details

IDProjectCategoryView StatusLast Update
0001836SymmetricDSBugpublic2014-07-29 16:50
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.2 
Target Version3.6.3Fixed in Version3.6.3 
Summary0001836: The removal of a node isn't synchronized to other nodes in a master to master scenario
DescriptionThe removal of a node isn't synchronized to other nodes in a master to master scenario.

Example:

All nodes belong to the same group and have a master to master node group link.

Node 1 (registration server)
Node 2 (connected to the Node 1)
Node 3 (connected to the Node 1)

At the Node2 I'm deleting Node1 and expecting that this change will be replicated to the Node3. But this change is not replicated.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master cbb749db

2014-07-28 09:24:32

chenson

Details Diff
0001836: The removal of a node isn't synchronized to other nodes in a master to master scenario
0001836
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2014-07-28 09:22 chenson New Issue
2014-07-28 09:22 chenson Status new => assigned
2014-07-28 09:22 chenson Assigned To => chenson
2014-07-28 09:24 chenson Description Updated View Revisions
2014-07-28 09:35 chenson Status assigned => resolved
2014-07-28 09:35 chenson Fixed in Version => 3.6.3
2014-07-28 09:35 chenson Resolution open => fixed
2014-07-28 10:00 chenson Changeset attached => SymmetricDS trunk r8505
2014-07-29 16:50 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master cbb749db